StandardClassLoader (Tomcat API Documentation)
Keywords: org.apache.catalina.loader.StandardClassLoader class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.loader
Class StandardClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.apache.catalina.loader.StandardClassLoader

All Implemented Interfaces:
  StandardClassLoaderMBean

    public class StandardClassLoader

extends java.net.URLClassLoader
implements StandardClassLoaderMBean

Subclass implementation of java.net.URLClassLoader. There are no functional differences between this class and java.net.URLClassLoader.

Version:
  $Revision: 476989 $ $Date: 2006-11-20 01:13:26 +0100 (Mon, 20 Nov 2006) $
Author:
  Craig R. McClanahan, Remy Maucherat

Constructor Summary
`StandardClassLoader(java.net.URL[] repositories)`
`StandardClassLoader(java.net.URL[] repositories, java.lang.ClassLoader parent)`

Method Summary

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardClassLoader

    public StandardClassLoader(java.net.URL[] repositories)

### StandardClassLoader

    public StandardClassLoader(java.net.URL[] repositories,
                               java.lang.ClassLoader parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.